--
-- Mobile Tank .lua 
-- Specialization mobile tank 
--
-- www.LS-Landtechnik.de
-- @author  LS-Landtechnik.de
-- @date:		07/11/10
-- @version:	v1.0
-- @copyright:	LS-Landtechnik.de


Tanken = {};

function Tanken.prerequisitesPresent(specializations)
    return true
end;
function Tanken:load(xmlFile)
    self.trigger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.trigger#index"));
	table.insert(g_currentMission, GasStation:new(self.trigger));
end;
function Tanken:delete()
end;
function Tanken:mouseEvent(posX, posY, isDown, isUp, button)
end;
function Tanken:keyEvent(unicode, sym, modifier, isDown)
end;
function Tanken:update(dt)
end;
function Tanken:draw()
end;

